> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Comment Threads

> List case comment threads.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/cases/{case_id}/comments/threads
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/cases/{case_id}/comments/threads:
    get:
      tags:
        - cases
      summary: List Comment Threads
      description: List case comment threads.
      operationId: cases-list_comment_threads
      parameters:
        - name: case_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Case Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CaseCommentThreadRead'
                title: Response Cases-List Comment Threads
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CaseCommentThreadRead:
      properties:
        comment:
          $ref: '#/components/schemas/CaseCommentRead'
        replies:
          items:
            $ref: '#/components/schemas/CaseCommentRead'
          type: array
          title: Replies
        reply_count:
          type: integer
          title: Reply Count
          default: 0
        last_activity_at:
          type: string
          format: date-time
          title: Last Activity At
      type: object
      required:
        - comment
        - last_activity_at
      title: CaseCommentThreadRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CaseCommentRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        content:
          type: string
          title: Content
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
        workflow:
          anyOf:
            - $ref: '#/components/schemas/CaseCommentWorkflowRead'
            - type: 'null'
        user:
          anyOf:
            - $ref: '#/components/schemas/UserRead'
            - type: 'null'
        last_edited_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Edited At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        is_deleted:
          type: boolean
          title: Is Deleted
          default: false
      type: object
      required:
        - id
        - created_at
        - updated_at
        - content
      title: CaseCommentRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CaseCommentWorkflowRead:
      properties:
        workflow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Id
        title:
          type: string
          title: Title
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        wf_exec_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wf Exec Id
        status:
          $ref: '#/components/schemas/CaseCommentWorkflowStatus'
      type: object
      required:
        - title
        - status
      title: CaseCommentWorkflowRead
    UserRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        is_verified:
          type: boolean
          title: Is Verified
          default: false
        role:
          $ref: '#/components/schemas/UserRole'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        settings:
          additionalProperties: true
          type: object
          title: Settings
      type: object
      required:
        - id
        - email
        - role
        - settings
      title: UserRead
    CaseCommentWorkflowStatus:
      type: string
      enum:
        - running
        - succeeded
        - failed
      title: CaseCommentWorkflowStatus
    UserRole:
      type: string
      enum:
        - basic
        - admin
      title: UserRole
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````